Eclipse Platform Release 3.7

## org.eclipse.update.configuration
Interface IProblemHandler

Deprecated. The org.eclipse.update component has been replaced by Equinox p2. This API will be deleted in a future release. See bug 311590 for details.

    public interface IProblemHandler

Generic problem handler. Used to report status from specific install operations. The methods implemented by this interface are callbacks from the update support to the caller of the update methods.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  2.0

Method Summary
`boolean` `reportProblem(String problemText)` Deprecated. Report problem.

Method Detail

### reportProblem

    boolean reportProblem(String problemText)

  Deprecated.
  Report problem.

  Parameters:
    `problemText` - problem text
  Returns:
    `true` if the operation should continue, `false` if the operation should be cancelled
  Since:
    2.0

    Note: This method is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.